列出 roleAssignmentSchedules

命名空间:microsoft.graph

获取活动角色分配操作的计划。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) RoleAssignmentSchedule.Read.Directory、RoleManagement.Read.Directory、RoleManagement.Read.All、RoleAssignmentSchedule.ReadWrite.Directory
委派(个人 Microsoft 帐户) 不支持
Application RoleManagement.Read.All、RoleManagement.Read.Directory、RoleManagement.ReadWrite.Directory

HTTP 请求

GET /roleManagement/directory/roleAssignmentSchedules

可选的查询参数

此方法支持 $select``$filterOData 查询参数,$expand以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和 unifiedRoleAssignmentSchedule 对象的集合。

示例

请求

GET https://graph.microsoft.com/v1.0/roleManagement/directory/roleAssignmentSchedules

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#roleManagement/directory/roleAssignmentSchedules",
    "value": [
        {
            "id": "95c690fb-3eb3-4942-a03f-4524aed6f31e",
            "principalId": "071cc716-8147-4397-a5ba-b2105951cc0b",
            "roleDefinitionId": "fdd7a751-b60b-444a-984c-02652fe8fa1c",
            "directoryScopeId": "/",
            "appScopeId": null,
            "createdUsing": "95c690fb-3eb3-4942-a03f-4524aed6f31e",
            "createdDateTime": "2022-04-11T11:50:06.343Z",
            "modifiedDateTime": null,
            "status": "Provisioned",
            "assignmentType": "Assigned",
            "memberType": "Direct",
            "scheduleInfo": {
                "startDateTime": "2022-04-11T11:50:06.343Z",
                "recurrence": null,
                "expiration": {
                    "type": "noExpiration",
                    "endDateTime": null,
                    "duration": null
                }
            }
        },
        {
            "id": "lAPpYvVpN0KRkAEhdxReEAWz5Gtet_xOv8wxvTtTpfg-1",
            "principalId": "6be4b305-b75e-4efc-bfcc-31bd3b53a5f8",
            "roleDefinitionId": "62e90394-69f5-4237-9190-012177145e10",
            "directoryScopeId": "/",
            "appScopeId": null,
            "createdUsing": null,
            "createdDateTime": null,
            "modifiedDateTime": null,
            "status": "Provisioned",
            "assignmentType": "Assigned",
            "memberType": "Direct",
            "scheduleInfo": {
                "startDateTime": "2022-04-11T17:11:50.8825697Z",
                "recurrence": null,
                "expiration": {
                    "type": "noExpiration",
                    "endDateTime": null,
                    "duration": null
                }
            }
        }
    ]
}